Adjusted dimensions for printing
This commit is contained in:
parent
e44d096d59
commit
1a8a77a52f
@ -13,13 +13,14 @@ m3_head_depth= 3
|
||||
m3_passthrough= 3.5
|
||||
|
||||
# Fastener dimensions
|
||||
fastener_width= 11
|
||||
fastener_width= 11.5
|
||||
fastener_height= 3.5
|
||||
fastener_length= 20
|
||||
fastener_h_spacing= .2
|
||||
fastener_gap= .2
|
||||
hex_diameter= 8.5
|
||||
hex_diameter= 10
|
||||
hex_depth= 4
|
||||
m5_passthrough= 5.5
|
||||
|
||||
# NEMA 17 stepper motor
|
||||
stepper_motor_size= 42.0
|
||||
@ -42,7 +43,7 @@ lid_stepper_hole= 5.5
|
||||
# Gears
|
||||
mod= 0.8
|
||||
gear_gap= 0.2
|
||||
gear_offset= 0.5
|
||||
gear_offset= 0.2
|
||||
large_gear_diameter= 8.5
|
||||
gear_thinkness= 10
|
||||
sg_teeth= 11
|
||||
@ -51,6 +52,7 @@ sg_teeth= 11
|
||||
mount_gap= 2
|
||||
support_radius= 11/2
|
||||
end_y= -4.3
|
||||
step_dep= 0.4
|
||||
hack_num= 0.000001
|
||||
|
||||
# Calculated values
|
||||
@ -224,7 +226,9 @@ fastener = fastener.faces('<<Y[-1]').workplane().circle(fastener_width/6).extrud
|
||||
fastener = fastener.faces('<<Y[-1]').center(fastener_length,0)\
|
||||
.sketch().regularPolygon(hex_diameter/2,6)\
|
||||
.finalize().cutBlind(-hex_depth)
|
||||
fastener = fastener.faces('<<Y[-6]').workplane().circle(5/2).cutThruAll()
|
||||
|
||||
fastener = fastener.faces('<<Y[-6]').workplane().circle(m5_passthrough/2).cutThruAll()
|
||||
fastener = fastener.faces('<<Y[-6]').workplane().rect(hex_diameter,hex_diameter/2).cutBlind(-step_dep)
|
||||
|
||||
# Lid large gear mount point
|
||||
lid = lid.faces('>Z[0]').workplane().center(lg_x+hack_num,-lg_y)\
|
||||
@ -236,12 +240,12 @@ lid = lid.faces('>Z[0]').workplane().center(-hack_num, 0).vLine(-support_radius+
|
||||
|
||||
# Lid Holes
|
||||
lid = lid.faces('>Z[0]').workplane().circle(large_gear_diameter/2-gear_offset).extrude(gear_thinkness/2)
|
||||
cut = boreHole(m3_head_diameter, m3_head_depth, 0.4, m3_passthrough, m3_passthrough*2).translate(lid.faces('<Z[0]').workplane().val())
|
||||
cut = boreHole(m3_head_diameter, m3_head_depth, step_dep, m3_passthrough, m3_passthrough*2).translate(lid.faces('<Z[0]').workplane().val())
|
||||
lid = lid.cut(cut)
|
||||
c = lid.faces('<Z[0]').workplane().center(-stepper_motor_size+wall_width,-stepper_motor_size+offset/2-loop_width).val()
|
||||
drill = lid.faces('<Z[0]').workplane().center(-stepper_motor_size+wall_width,-stepper_motor_size+offset/2-loop_width).circle(m3_tap/2)\
|
||||
.extrude(-part_thinkness+wall_width, combine=False)
|
||||
cut = boreHole(m3_head_diameter, m3_head_depth, 0.4, m3_passthrough, m3_passthrough).translate(c)
|
||||
cut = boreHole(m3_head_diameter, m3_head_depth, step_dep, m3_passthrough, m3_passthrough).translate(c)
|
||||
base = base.cut(drill)
|
||||
lid = lid.cut(cut)
|
||||
|
||||
@ -257,7 +261,7 @@ s_gear = cq.Workplane('XY').gear(SpurGear(module=mod,
|
||||
|
||||
|
||||
# Stepper motor mount point
|
||||
tab_distance = 4/2
|
||||
tab_distance = 4
|
||||
shaft_diameter = 5
|
||||
cut = cq.Workplane('XY').circle(shaft_diameter/2).extrude(gear_thinkness)
|
||||
cut = cut.workplane().vLine(2*tab_distance, forConstruction=True).rect(shaft_diameter,tab_distance).cutThruAll()
|
||||
|
Loading…
x
Reference in New Issue
Block a user